__doc__="""ZNavigator init
$Id: __init__.py,v 1.3 1999/09/22 13:43:08 jonas Exp $"""
__version__="2.0"

from ImageFile import ImageFile
import ZNavigator

def initialize(context): 
	try: 
		context.registerClass(
		instance_class=ZNavigator.ZNavigator,
		meta_type="ZNavigator",
		permission="Add ZNavigator",
		constructors = (
		ZNavigator.addNavigatorForm,
		ZNavigator.manage_addNavigator), 
		icon = 'navigator.gif'
		)
	except: 
		import sys, traceback, string
		type, val, tb = sys.exc_info()
		sys.stderr.write(string.join(traceback.format_exception(type,
		val, tb), ''))
		del type, val, tb

misc_={
	'navitem' : ImageFile('navitem.gif',   globals()),
}
